Subject: Re: Mem-2-Mem DMA - Generalized API

From: [email-masked] (Olof Johansson)
Date: Mon, 25 Jun 2007 12:00:03 -0500

On Mon, Jun 25, 2007 at 03:31:59PM +0100, Matt Sealey wrote:
> 
> Indeed. I wonder if we could pull apart the IOAT/DMA stuff and genericise
> it (it should be possible) or simply add to it, or if making a powerpc
> specific dma engine abstraction would be an easier idea.

It's hard to anticipate all possible uses of a framework when you first
write it.  So, when you first write it with one device in mind, it's
fairly obvious that it might not fit well with the second device that
will use it. That's the case of drivers/dma and IOAT today.

That's the case with the dma engine framework today. Expand it, extend
it, fix it and improve it. Don't duplicate, re-invent and re-implement.

-Olof